Subject: Re: bug#28850: 26.0.90; Error running timer 'jit-lock-stealth-fontify': (error "Invalid search bound (wrong side of point)")

From: Alan Mackenzie <[email-masked]>
Date: Tue, 30 Apr 2019 15:43:44 +0000

Hello, Eli.

On Tue, Apr 30, 2019 at 18:30:37 +0300, Eli Zaretskii wrote:
> > Date: Tue, 30 Apr 2019 13:32:03 +0000
> > Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> > From: Alan Mackenzie <[email-masked]>

> > I'm just thinking, maybe this fix should have gone into the emacs-26
> > branch.  Not sure about that.

> Didn't you say that the problem you fixed didn't exist in Emacs 26.2?

If I did, what I really meant was I hadn't seen it in 26.2.

What triggers the bug is the first enum in textprop.c straddling two
jit-lock chunks.  This seems not to happen in 26.2's textprop.c.

-- 
Alan Mackenzie (Nuremberg, Germany).